[API]
Public uSTSysTrayMainIcon
Shell_NotifyIconA
Shell_NotifyIconW

[INCLUDE]
PokeS

[CODE]
Public Sub Shell_NotifyIcon(ByVal dwMessage As Long, lpData As uSTSysTrayMainIcon)
  Call PokeS(VarPtr(lpData.Reserved_szTip(0)), lpData.ToolTip, 64&, True)
  If IsUnicode Then
    lpData.Reserved_cbsize = 88& + 64&
    If dwMessage = 1& And Shell_NotifyIconW(dwMessage, lpData) = 0& Then
      Call Shell_NotifyIconW(2&, lpData)
      Call Shell_NotifyIconW(0&, lpData)
      End If
    Else
    lpData.Reserved_cbsize = 88&
    If dwMessage = 1& And Shell_NotifyIconA(dwMessage, lpData) = 0& Then
      Call Shell_NotifyIconA(2&, lpData)
      Call Shell_NotifyIconA(0&, lpData)
      End If
    End If
  End Sub
